pods::SDL::Mixer::MixChunk(3)

NAME
SDL::Mixer::MixChunk -- SDL Bindings for structure SDL_MixChunk

CATEGORY
Mixer, Structure

SYNOPSIS
 use SDL;
 use SDL::Mixer::MixChunk;

 my $mix_chunk = SDL::Mixer::Music::load_WAV('sample.wav');

 printf("length of audio data is %d bytes\n", $mix_chunk->alen);
 printf("volume is %d\n",                     $mix_chunk->volume);

DESCRIPTION
Stores audio data in memory.

Note: It's a bad idea to free a chunk that is still being played...

METHODS

  alen
length of audio data in bytes

  volume
Per-sample volume, 0-128 (normally "MIX_MAX_VOLUME" after loading)

AUTHORS
See "AUTHORS" in SDL.